org.apache.tinkerpop.gremlin.process

## Class AbstractGremlinProcessTest

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest

- Direct Known Subclasses:
    AddEdgeTest, AggregateTest, AndTest, BranchTest, BulkDumperVertexProgramTest, BulkLoaderVertexProgramTest, ChooseTest, CloneVertexProgramTest, CoalesceTest, CoinTest, ComplexTest, ConnectedComponentTest, ConstantTest, CoreTraversalTest, CountTest, CyclicPathTest, DedupTest, EarlyLimitStrategyProcessTest, ElementIdStrategyProcessTest, ElementMapTest, EventStrategyProcessTest, ExplainTest, FilterTest, FlatMapTest, FoldTest, GraphComputerTest, GraphTest, GroupCountTest, GroupTest, HasTest, IncidentToAdjacentStrategyProcessTest, IndexTest, InjectTest, IsTest, LocalTest, LoopsTest, MapTest, MatchTest, MathTest, MaxTest, MeanTest, MinTest, OptionalTest, OrderTest, OrTest, PageRankTest, PageRankVertexProgramTest, PartitionStrategyProcessTest, PathTest, PeerPressureTest, PeerPressureVertexProgramTest, ProfileTest, ProgramTest, ProjectTest, PropertiesTest, RangeTest, ReadOnlyStrategyProcessTest, ReadTest, RepeatTest, SackTest, SampleTest, SelectTest, ShortestPathTest, ShortestPathVertexProgramTest, SideEffectCapTest, SideEffectTest, SimplePathTest, StoreTest, SubgraphStrategyProcessTest, SubgraphTest, SumTest, TailTest, TranslationStrategyProcessTest, TraversalInterruptionComputerTest, TraversalInterruptionTest, TreeTest, UnfoldTest, UnionTest, ValueMapTest, VertexTest, WhereTest, WriteTest

      public abstract class AbstractGremlinProcessTest
      extends AbstractGremlinTest

  Base test class for Gremlin Process tests.
  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractGremlinProcessTest()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <A,B> void` | `checkMap(Map<A,B> expectedMap, Map<A,B> actualMap)`
    `static <T> void` | `checkOrderedResults(List<T> expectedResults, Traversal<?,T> traversal)`
    `static <T> void` | `checkResults(List<T> expectedResults, Traversal<?,T> traversal)`
    `static <T> void` | `checkResults(Map<T,Long> expectedResults, Traversal<?,T> traversal)`
    `static void` | `checkSideEffects(TraversalSideEffects sideEffects, Object... keysClasses)`
    `protected boolean` | `graphMeetsTestRequirements()` Determines if a graph meets requirements for execution.
    `protected boolean` | `hasGraphComputerRequirement()` Determines if this test suite has "computer" requirements.
    `<A,B> List<Map<A,B>>` | `makeMapList(int size, Object... keyValues)`
    `void` | `setupTest()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractGremlinProcessTest

          public AbstractGremlinProcessTest()

  - ### Method Detail

    - #### graphMeetsTestRequirements

          protected boolean graphMeetsTestRequirements()

      Determines if a graph meets requirements for execution. All gremlin process tests should check this method as part of a call to `assumeTrue` to ensure that the test doesn't require the computer feature or if it does require the computer feature then ensure that the graph being tested supports it.

    - #### hasGraphComputerRequirement

          protected boolean hasGraphComputerRequirement()

      Determines if this test suite has "computer" requirements.

    - #### setupTest

          public void setupTest()

    - #### checkSideEffects

          public static void checkSideEffects(TraversalSideEffects sideEffects,
                                              Object... keysClasses)

    - #### checkOrderedResults

          public static <T> void checkOrderedResults(List<T> expectedResults,
                                                     Traversal<?,T> traversal)

    - #### checkResults

          public static <T> void checkResults(List<T> expectedResults,
                                              Traversal<?,T> traversal)

    - #### checkResults

          public static <T> void checkResults(Map<T,Long> expectedResults,
                                              Traversal<?,T> traversal)

    - #### checkMap

          public static <A,B> void checkMap(Map<A,B> expectedMap,
                                            Map<A,B> actualMap)

    - #### makeMapList

          public <A,B> List<Map<A,B>> makeMapList(int size,
                                                  Object... keyValues)

Copyright © 2013–2020 Apache Software Foundation. All rights reserved.